Author Topic: The group Domain Users has not gidNumber set. Get method returned 'undef'.  (Read 1550 times)

Jools

  • Zen Apprentice
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Hi All,

As you can see from the title, the return of an old error.  Problem is, I can't take the box down and re-install easily as it's a long way away.

In the syslog I have the following error:

May 21 10:34:54 server01 kernel: [56487.119187] init: zentyal.set-uid-gid-numbers main process (31310) terminated with status 255
May 21 10:34:54 server01 kernel: [56487.119196] init: zentyal.set-uid-gid-numbers main process ended, respawning


While the reported error is as the subject.  The Domain Users group doesn't appear in the user/group manager but if you try to create it, it says it already exists.

Zentyal is v4.2 and as the staff turnover isn't very high, this is the first time I've created a new user since v3.5 so the problem may have been around since then.

Any help appreciated.


techiem2

  • Zen Apprentice
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
I'm having the same issue.
Tonight I found this migration document on the wiki:
https://wiki.zentyal.org/wiki/Migration_from_3.0_to_3.5/4.0_version,_Multiple_Domain_Controllers

It mentions that the group ids and such were previously in LDAP rather than SAMBA, and gives a script to fix it.
However, the script is hosted on people.zentyal.org, which appears to no longer exist.

Does anyone have this script or have an alternate link?

techiem2

  • Zen Apprentice
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
After some more searching I found another page on the wiki with the actual file.
https://wiki.zentyal.org/wiki/File:Fix_3.0-3.5_samba_upgrade.pl

However, when I run it I get:
Could not get ticket: could not acquire credentials using an initial credentials context: No ENC-TS found


techiem2

  • Zen Apprentice
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Got it!
I found this post: https://forum.zentyal.org/index.php?topic=24210.0

Run this:
samba-tool user setexpiry administrator --noexpiry

And then run (after you've downloaded it from the wiki link above):
perl Fix_3.0-3.5_samba_upgrade.pl